ObjectOutputStream
Date: 2016-06-24

java.io

## Class ObjectOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ObjectOutputStream

- All Implemented Interfaces:
    DataOutput, ObjectOutput, ObjectStreamConstants

      public class ObjectOutputStream
      extends OutputStream
      implements ObjectOutput, ObjectStreamConstants

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ObjectOutputStream.PutField`

  - ### Field Summary

    - ### Fields inherited from interface java.io.ObjectStreamConstants

      `baseWireHandle, PROTOCOL_VERSION_1, PROTOCOL_VERSION_2, SC_BLOCK_DATA, SC_EXTERNALIZABLE, SC_SERIALIZABLE, SC_WRITE_METHOD, STREAM_MAGIC, STREAM_VERSION, SUBCLASS_IMPLEMENTATION_PERMISSION, SUBSTITUTION_PERMISSION, TC_ARRAY, TC_BASE, TC_BLOCKDATA, TC_BLOCKDATALONG, TC_CLASS, TC_CLASSDESC, TC_ENDBLOCKDATA, TC_EXCEPTION, TC_LONGSTRING, TC_MAX, TC_NULL, TC_OBJECT, TC_PROXYCLASSDESC, TC_REFERENCE, TC_RESET, TC_STRING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ObjectOutputStream()`
    `` | `ObjectOutputStream(OutputStream var0)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `annotateClass(Class var0)`
    `protected void` | `annotateProxyClass(Class var0)`
    `void` | `defaultWriteObject()`
    `protected void` | `drain()`
    `protected boolean` | `enableReplaceObject(boolean var0)`
    `ObjectOutputStream.PutField` | `putFields()`
    `protected Object` | `replaceObject(Object var0)`
    `void` | `reset()`
    `void` | `useProtocolVersion(int var0)`
    `void` | `write(int var0)`
    `void` | `writeBoolean(boolean var0)`
    `void` | `writeByte(int var0)`
    `void` | `writeBytes(String var0)`
    `void` | `writeChar(int var0)`
    `void` | `writeChars(String var0)`
    `protected void` | `writeClassDescriptor(ObjectStreamClass var0)`
    `void` | `writeDouble(double var0)`
    `void` | `writeFields()`
    `void` | `writeFloat(float var0)`
    `void` | `writeInt(int var0)`
    `void` | `writeLong(long var0)`
    `void` | `writeObject(Object var0)`
    `protected void` | `writeObjectOverride(Object var0)`
    `void` | `writeShort(int var0)`
    `protected void` | `writeStreamHeader()`
    `void` | `writeUnshared(Object var0)`
    `void` | `writeUTF(String var0)`

    - ### Methods inherited from class java.io.OutputStream

      `close, flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.ObjectOutput

      `close, flush`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write`

- - ### Constructor Detail

    - #### ObjectOutputStream

          protected ObjectOutputStream()
                                throws IOException

      Throws:
        `IOException`

    - #### ObjectOutputStream

          public ObjectOutputStream(OutputStream var0)
                             throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### annotateClass

          protected void annotateClass(Class var0)
                                throws IOException

      Throws:
        `IOException`

    - #### annotateProxyClass

          protected void annotateProxyClass(Class var0)
                                     throws IOException

      Throws:
        `IOException`

    - #### defaultWriteObject

          public void defaultWriteObject()
                                  throws IOException

      Throws:
        `IOException`

    - #### drain

          protected void drain()
                        throws IOException

      Throws:
        `IOException`

    - #### enableReplaceObject

          protected boolean enableReplaceObject(boolean var0)

    - #### putFields

          public ObjectOutputStream.PutField putFields()
                                                throws IOException

      Throws:
        `IOException`

    - #### replaceObject

          protected Object replaceObject(Object var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### reset

          public void reset()
                     throws IOException

      Throws:
        `IOException`

    - #### useProtocolVersion

          public void useProtocolVersion(int var0)
                                  throws IOException

      Throws:
        `IOException`

    - #### write

          public void write(int var0)
                     throws IOException

      Specified by:
        `write` in interface `DataOutput`
      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### writeBoolean

          public void writeBoolean(boolean var0)
                            throws IOException

      Specified by:
        `writeBoolean` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeByte

          public void writeByte(int var0)
                         throws IOException

      Specified by:
        `writeByte` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeBytes

          public void writeBytes(String var0)
                          throws IOException

      Specified by:
        `writeBytes` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChar

          public void writeChar(int var0)
                         throws IOException

      Specified by:
        `writeChar` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeChars

          public void writeChars(String var0)
                          throws IOException

      Specified by:
        `writeChars` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeClassDescriptor

          protected void writeClassDescriptor(ObjectStreamClass var0)
                                       throws IOException

      Throws:
        `IOException`

    - #### writeDouble

          public void writeDouble(double var0)
                           throws IOException

      Specified by:
        `writeDouble` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeFields

          public void writeFields()
                           throws IOException

      Throws:
        `IOException`

    - #### writeFloat

          public void writeFloat(float var0)
                          throws IOException

      Specified by:
        `writeFloat` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeInt

          public void writeInt(int var0)
                        throws IOException

      Specified by:
        `writeInt` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeLong

          public void writeLong(long var0)
                         throws IOException

      Specified by:
        `writeLong` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeObject

          public final void writeObject(Object var0)
                                 throws IOException

      Specified by:
        `writeObject` in interface `ObjectOutput`
      Throws:
        `IOException`

    - #### writeObjectOverride

          protected void writeObjectOverride(Object var0)
                                      throws IOException

      Throws:
        `IOException`

    - #### writeShort

          public void writeShort(int var0)
                          throws IOException

      Specified by:
        `writeShort` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeStreamHeader

          protected void writeStreamHeader()
                                    throws IOException

      Throws:
        `IOException`

    - #### writeUTF

          public void writeUTF(String var0)
                        throws IOException

      Specified by:
        `writeUTF` in interface `DataOutput`
      Throws:
        `IOException`

    - #### writeUnshared

          public void writeUnshared(Object var0)
                             throws IOException

      Throws:
        `IOException`